Exceptions
What References Do
Language Reference
PHP Manual

# References Explained

## Table of Contents

- What References Do
- What References Are Not
- Passing by Reference
- Returning References
- Unsetting References
- Spotting References

## What References Are

References in PHP are a means to access the same variable content by different names. They are not like C pointers; instead, they are symbol table aliases. Note that in PHP, variable name and variable content are different, so the same content can have different names. The most close analogy is with Unix filenames and files - variable names are directory entries, while variable contents is the file itself. References can be thought of as hardlinking in Unix filesystem.

Exceptions
What References Do
Language Reference
PHP Manual